القائمة

apiInboundShipments

استعلاميتطلب مفتاحًا

الوسائط

الاسمالنوعالوصف
limitInt
originInboundOriginSELLER_DECLARED for top-ups, ORDER_DRIVEN for cross-dock transfers.
statuses[InboundStatus!]

يُرجع

[InboundShipmentView!]!

مثال

GraphQL
query ApiInboundShipments($limit: Int, $origin: InboundOrigin, $statuses: [InboundStatus!]) {
  apiInboundShipments(limit: $limit, origin: $origin, statuses: $statuses) {
    appointmentId
    arrivedAt
    cancelledAt
    closedAt
    createdAt
    damagedUnits
    dueAt
    expectedUnits
    facilityCode
    facilityId
    id
    inboundMode
    lateness
    note
    orderNo
    orderSliceId
    organizationId
    origin
    photoKeys
    receivedAt
    receivedUnits
    reference
    scheduledAt
    sellerName {
      ar
      en
      fr
      tn
    }
    sellerReference
    shopRepresentative
    sliceNo
    status
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"query ApiInboundShipments($limit: Int, $origin: InboundOrigin, $statuses: [InboundStatus!]) { apiInboundShipments(limit: $limit, origin: $origin, statuses: $statuses) { appointmentId arrivedAt cancelledAt closedAt createdAt damagedUnits dueAt expectedUnits facilityCode facilityId id inboundMode lateness note orderNo orderSliceId organizationId origin photoKeys receivedAt receivedUnits reference scheduledAt sellerName { ar en fr tn } sellerReference shopRepresentative sliceNo status } }"}'